#!/bin/bash

# Control de tiempo
inicio=`date +%s`

# Directorios
DIR='/usr/share/cassandra/scripts/'
DIR_DB='/usr/share/cassandra/scripts/scripts_cqlsh/'
DIR_PRED='/usr/share/cassandra/scripts/scripts_clasificador/'

# Crea las tablas data_to_predict y predicted_data en DB Cassandra
# Añade los campos UUID y label_class al fichero data_to_predict.csv
# Importa los datos del fichero data_to_predict.csv a la tabla data_to_predict
# Exporta los datos de la tabla data_to_predict al fichero data_to_predict_out.csv
echo "Preparando los datos a clasificar..."
${DIR}load_data_pred.sh

# Ejecuta el clasificador con el fichero data_to_predict_out
sudo python3.6 ${DIR_PRED}classify_connections.py

echo "Insertando las tramas clasificadas en la BD..."
# Inserta los datos del fichero predicted_data.csv en la tabla predicted_data
cqlsh -f ${DIR_DB}predicted_data_table_import.cql

# Control de tiempo
fin=`date +%s`
let total=$fin-$inicio
echo "Tiempo total: -$total- segundos"
